Subject: [MMUSIC] Inconsistent text in BUNDLE and mux-exclusive regarding IDENTICAL/TRANSPORT SDP attributes

From: Christer Holmberg <[email-masked]>
Date: Mon, 3 Apr 2017 18:29:36 +0000

Hi,

When looking for the changes needed regarding including media specific attributes in bundled m- lines, I realized that there is inconsistent text between BUNDLE and draft-mux-exclusive:

Section 3 of draft-mux-exclusive says:

   The mux category [I-D.ietf-mmusic-sdp-mux-attributes] for the 'rtcp-
   mux-only' attribute is 'IDENTICAL', which means that the attribute,
   if used within a BUNDLE group
   [I-D.ietf-mmusic-sdp-bundle-negotiation], must be associated with all
   multiplexed RTP-based media descriptions within the BUNDLE group.

Section 8.1 of BUNDLE says:

   When an offerer associates SDP attributes with a bundled "m=" line

   associated with a shared address, IDENTICAL and TRANSPORT mux

   category SDP attributes [I-D.ietf-mmusic-sdp-mux-attributes] are

   associated with the "m=" line only if the "m=" line is also

   associated with the offerer BUNDLE-tag.  Otherwise the offerer MUST

   NOT associate such SDP attributes with the "m=" line.

Section 10.3.1.1 of BUNDLE says:

   When an offerer generates an initial offer, the offerer MUST

   associate an SDP 'rtcp-mux' attribute [RFC5761] with each bundled

   RTP-based "m=" line in the offer, including a bundle-only "m=" line.

   In addition, the offerer MUST associate an SDP 'rtcp-mux-only'

   attribute [I-D.ietf-mmusic-mux-exclusive] with each RTP-based bundle-

   only "m=" line, and MAY associated an SDP 'rtcp-mux-only' attribute

   with other bundled RTP-based "m=" lines.

The text in section 8.1 describes the correct behaviour.

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 7 Apr 2017 12:29:44 +0000

Hi,

I’ve now updated the BUNDLE text to be consistent and correct when it comes to IDENTICAL/TRANSPORT SDP attributes.

In addition, I have written text regarding the usage of media specific attributes (e.g., rtcp-mux) with m- lines associated with different media.

https://github.com/cdh4u/draft-sdp-bundle/pull/33

Regards,

Christer

From: mmusic <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Monday 3 April 2017 at 21:29
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [MMUSIC] Inconsistent text in BUNDLE and mux-exclusive regarding IDENTICAL/TRANSPORT SDP attributes

Hi,

Regards,

Christer